Bug 6981 - ppp demand mode does not work
ppp demand mode does not work
Product: Red Hat Linux
Classification: Retired
Component: ppp (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Nalin Dahyabhai
: 6982 (view as bug list)
Depends On:
  Show dependency treegraph
Reported: 1999-11-12 22:47 EST by csgordon
Modified: 2014-03-19 07:09 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2000-01-31 09:07:30 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description csgordon 1999-11-12 22:47:23 EST
when starting pppd with the demand option, it will d demand dailing once.
After that call hangs up, it will NOT call again.  I am using the same
scripts to run pppd in demand mode as I did in RH5.2 (had to recompile pppd
under 5.2).  I am starting ppp from my own scripts vice setting it in the
/etc/sysconfig files.  Of other note, restarting the networking with
/etc/rc.d/init.d/network restart causes pppd, if running, to dial even if
there is no traffic bound for that interface.  The ../netwrork restart
never touches the ppp0 interface (doesn't see it in the $interfaces_boot
Comment 1 Michael K. Johnson 1999-11-17 10:06:59 EST
*** Bug 6982 has been marked as a duplicate of this bug. ***
Comment 2 Nalin Dahyabhai 2000-01-31 09:07:59 EST
[Re: more successes in bug #6982]
PPP's demand-dialing creates two sets of PPP interfaces.  The first is a loop
on your workstation that waits for outgoing traffic.  Once outbound traffic
shows up, PPP establishes the link with the second pair.  If your clients (or
your own workstation) even attempt to do a nameserver lookup, the link will go
up.  This can happen even when software tries to lookup the name for the address
of the local PPP interface that you're supplying to it.
Comment 3 Brent Fox 2002-06-05 12:06:57 EDT
Closing due to old age.

Note You need to log in before you can comment on or make changes to this bug.